export default class LoginManager {
    private cssRoot?;
    private endpoint?;
    private password?;
    private token?;
    private tokenTimestamp?;
    private username?;
    getCssRoot(): Promise<string | undefined>;
    getUserString(): string;
    hasCredentials(): boolean;
    login(force?: boolean): Promise<string>;
    logout(): Promise<void>;
    setCredentials(endpoint: string, password: string, username: string): Promise<void>;
    private flushCredentials;
    private loadCredentials;
    private normalizeEndpoint;
}
